Commits

松井 鉄史  committed 3ccfda1

app-office/lyx-2.0.3: update to 2.0.3.
files/lyx-2.0.1-lyxinclude.m4-macosx.patch has been applied in upstream.
remove old: 2.0.1, 2.0.2.

  • Participants
  • Parent commits 4bda26c

Comments (0)

Files changed (6)

File app-office/lyx/Manifest

 AUX 1.6.7-python.patch 906 RMD160 74a2f14445d6b011fe04d06f3bd6710d36ab6351 SHA1 a9bc180553105b61767a82280e211a2c187cfbd4 SHA256 ad4ebb8d3837536eea869e15b3759840a1153d64d74b744e956ce9bdf5e5651d
-AUX lyx-2.0.1-lyxinclude.m4-macosx.patch 393 RMD160 6f568f87b01ab57d27f8d08cf4c4d5df9dcfdb4f SHA1 722edb433429e3fc2e91e6339e51295c6f2615ce SHA256 97136e3891fc6888457edf489ceffc3397cb61dc8a049f0a248db471a9268f0d
+AUX 2.0-python.patch 1036 RMD160 1fdf43487cb67e61b02387834402e9618de87082 SHA1 834ac9383503078c6e9d54610056704b7c9d23c0 SHA256 954f96dab553024fb128924c7ba3d70a91946f6909d203ee0902d6ec8740ded8
 AUX lyx.desktop 215 RMD160 13192f0f4e84e870565a3daff7d46c56954ed0fe SHA1 f72f3ff17a3a1b84cbb0aaf12c9e75387879a420 SHA256 b0ffd201e0a2e0cb39a52aadb9921e86fbb31c8d3cac04526371d6606246898c
-DIST lyx-2.0.1.tar.xz 10119588 RMD160 d8a4ed2f546994220ee7fc84246f1aceccaa6ed9 SHA1 225b4d853f38463e986a9b42a39cac432da56d8a SHA256 a58b7e0f27afce0497fffec0d19fc95fb1b3ac36818e8d02ecaf9e882c8f3852
-DIST lyx-2.0.2.tar.xz 10175756 RMD160 ab2436c05fd4ea2bb76111d6bab140359162b317 SHA1 47b9c7fa73ef827907622cefe78421a356481ca9 SHA256 e5eacacd200d4502808f59e244d380634dca421b2bc89a5c213b3faddadcbd18
-EBUILD lyx-2.0.1.ebuild 4872 RMD160 e09781225175172af0b59d9440bbab48d44409a6 SHA1 dcbcf87df794a53b9343fc3224d53fee043b95eb SHA256 eac11476e8539447a5b9045d42fc97a0bd15c3abedc07be17fc523da170a7255
-EBUILD lyx-2.0.2.ebuild 4958 RMD160 527d013589c14beb36174dc3d27319a3cd78df17 SHA1 db377d96783054595ab02192fbec04b40e3fabaf SHA256 fbfb9fc1b7badd13ce6c2c04293bb8e3b00050f8b71f423d5ed7004fef547ff9
+DIST lyx-2.0.3.tar.xz 10265532 RMD160 fcb3a09626fb5dc49ae25654b5f98e9989d5ff00 SHA1 109dae0ef22a7d8944964b32ee380ad170b0665f SHA256 4e1c993754acfb14d5e0f2bd2521fb6686d08e0656ec6e5fde0406c285a05ac8
+EBUILD lyx-2.0.3.ebuild 4814 RMD160 aa8e6bd8493982648458278d3ffaeed960d932ab SHA1 e8e10fd8d840b647683b062b1d33c7aadec5746c SHA256 3070fba6c78db523e5710cd1f359c078a7b497f3ea9a918cf9d8567245209ff0
 MISC ChangeLog 32739 RMD160 7251b479500c9e46f757c67841a328955c9d1e90 SHA1 720906edb9b565d386387b691677b361520037d3 SHA256 99b8aa1a6aecac68fd0c96297f1a83f2966dc24a2d560668fe7ffbc4d7647ed1
 MISC metadata.xml 1572 RMD160 850394a1700004439f7258d04732517216d8e31c SHA1 99c60675f6273f853498479676a4be74e07182b3 SHA256 330d0d86b06c6ce15cea6cfdd3bd070bddc82309346902481883575fd211ec14

File app-office/lyx/files/2.0-python.patch

+diff --git a/src/graphics/GraphicsConverter.cpp b/src/graphics/GraphicsConverter.cpp
+index 97c4f68..8f05e62 100644
+--- a/src/graphics/GraphicsConverter.cpp
++++ b/src/graphics/GraphicsConverter.cpp
+@@ -262,7 +262,7 @@ static void build_script(FileName const & from_file,
+ 	LYXERR(Debug::GRAPHICS, "build_script ... ");
+ 	typedef Graph::EdgePath EdgePath;
+ 
+-	script << "#!/usr/bin/env python\n"
++	script << "#!/usr/bin/env python2\n"
+ 		  "# -*- coding: utf-8 -*-\n"
+ 		  "import os, shutil, sys\n\n"
+ 		  "def unlinkNoThrow(file):\n"
+diff --git a/src/support/os.cpp b/src/support/os.cpp
+index f36331c..02f5a93 100644
+--- a/src/support/os.cpp
++++ b/src/support/os.cpp
+@@ -57,7 +57,7 @@ static string const python2(string const & binary, bool verbose = false)
+ string const python()
+ {
+ 	// Check whether the first python in PATH is the right one.
+-	static string command = python2("python -tt");
++	static string command = python2("python2 -tt");
+ 
+ 	if (command.empty()) {
+ 		// It was not, so check whether we can find it elsewhere in 

File app-office/lyx/files/lyx-2.0.1-lyxinclude.m4-macosx.patch

---- config/lyxinclude.m4.orig	2011-02-11 05:31:07.000000000 +0900
-+++ config/lyxinclude.m4	2011-12-06 01:24:53.000000000 +0900
-@@ -512,6 +512,7 @@
- 	   default_prefix=$ac_default_prefix
- 	   case ${host} in
- 	   *cygwin*) lyx_install_cygwin=true ;;
-+	   *apple-darwin*) lyx_install_macosx=true ;;           
- 	   esac ;;
-     *) LYX_ERROR([Unknown packaging type $lyx_use_packaging]) ;;
- esac

File app-office/lyx/lyx-2.0.1.ebuild

-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.1.ebuild,v 1.2 2011/10/05 19:32:13 aballier Exp $
-
-EAPI=3
-
-PYTHON_DEPEND="2"
-
-inherit qt4-r2 eutils flag-o-matic font python toolchain-funcs autotools
-
-MY_P="${P/_}"
-
-S="${WORKDIR}/${MY_P}"
-FONT_S="${S}/lib/fonts"
-FONT_SUFFIX="ttf"
-DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
-HOMEPAGE="http://www.lyx.org/"
-SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${P}.tar.xz"
-#SRC_URI="ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.0/rc3/${MY_P}.tar.xz"
-#SRC_URI="ftp://ftp.devel.lyx.org/pub/lyx/stable/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-macos"
-IUSE="cups debug nls +latex xetex luatex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant"
-
-LANGS="ar ca cs de da el en es eu fi fr gl he hu ia id it ja nb nn pl pt ro ru sk sr sv tr uk zh_CN zh_TW"
-
-for X in ${LANGS}; do
-	IUSE="${IUSE} linguas_${X}"
-done
-
-COMMONDEPEND="x11-libs/qt-gui:4
-	x11-libs/qt-core:4
-	X? (
-		x11-libs/libXrandr
-		x11-libs/libXcursor
-		x11-libs/libXrender
-		x11-libs/libXfixes
-		x11-libs/libXext
-		x11-libs/libSM
-		x11-libs/libICE
-		x11-libs/libX11
-		x11-libs/libXau
-		x11-libs/libXdmcp
-	)
-	dev-libs/libxml2
-	media-libs/fontconfig
-	media-libs/freetype
-	>=dev-libs/boost-1.34"
-
-RDEPEND="${COMMONDEPEND}
-	dev-texlive/texlive-fontsextra
-	|| ( media-gfx/imagemagick media-gfx/graphicsmagick )
-	cups? ( net-print/cups )
-	latex? (
-		virtual/latex-base
-		app-text/ghostscript-gpl
-		app-text/noweb
-		app-text/dvipng
-		dev-tex/dvipost
-		dev-tex/chktex
-		app-text/ps2eps
-		dev-texlive/texlive-latexextra
-		dev-texlive/texlive-pictures
-		dev-texlive/texlive-science
-		dev-texlive/texlive-genericextra
-		dev-texlive/texlive-fontsrecommended
-		|| (
-			dev-tex/latex2html
-			dev-tex/tth
-			dev-tex/hevea
-			dev-tex/tex4ht
-		)
-	)
-	xetex? ( dev-texlive/texlive-xetex )
-	luatex? ( >=dev-texlive/texlive-luatex-2010 )
-	html? ( dev-tex/html2latex )
-	rtf? (
-		dev-tex/latex2rtf
-		app-text/unrtf
-		dev-tex/html2latex
-	)
-	linguas_he? ( dev-tex/culmus-latex )
-	docbook? ( app-text/sgmltools-lite )
-	dot? ( media-gfx/graphviz )
-	dia? ( app-office/dia )
-	subversion? ( dev-vcs/subversion )
-	rcs? ( dev-vcs/rcs )
-	svg? ( || ( gnome-base/librsvg media-gfx/inkscape ) )
-	gnumeric? ( app-office/gnumeric )
-	hunspell? ( app-text/hunspell )
-	aspell? ( app-text/aspell )
-	enchant? ( app-text/enchant )"
-
-
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	x11-proto/xproto
-	dev-util/pkgconfig
-	nls? ( sys-devel/gettext )"
-
-pkg_setup() {
-	python_set_active_version 2
-	font_pkg_setup
-}
-
-src_prepare() {
-	epatch "${FILESDIR}"/1.6.7-python.patch
-	epatch "${FILESDIR}"/${P}-lyxinclude.m4-macosx.patch
-	eautoconf
-
-	echo "#!/bin/sh" > config/py-compile
-	sed "s:python -tt:$(PYTHON) -tt:g" -i lib/configure.py || die
-}
-
-src_configure() {
-	tc-export CXX
-	#bug 221921
-	export VARTEXFONTS=${T}/fonts
-	if [[ ${CHOST} == *-darwin* ]]; then
-		LDFLAGS="${LDFLAGS} -framework Carbon -framework ApplicationServices -framework AppKit -framework Foundation"
-	fi
-
-	econf \
-		$(use_enable nls) \
-		$(use_enable debug) \
-		$(use_enable monolithic-build) \
-		$(use_with hunspell) \
-		$(use_with aspell) \
-		$(use_with enchant) \
-		--without-included-boost --disable-stdlib-debug \
-		--with-packaging=posix
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed"
-
-	dodoc ANNOUNCE NEWS README RELEASE-NOTES UPGRADING "${FONT_S}"/*.txt || die
-
-	if use linguas_he ; then
-		echo "\bind_file cua" > "${T}"/hebrew.bind
-		echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
-
-		insinto /usr/share/lyx/bind
-		doins "${T}"/hebrew.bind || die
-	fi
-
-	doicon ${PN} "$S/development/Win32/packaging/icons/lyx_32x32.png"
-	make_desktop_entry ${PN} "LyX" "/usr/share/pixmaps/lyx_32x32.png" "Office" "MimeType=application/x-lyx;"
-
-	# fix for bug 91108
-	if use latex ; then
-		dosym ../../../lyx/tex /usr/share/texmf/tex/latex/lyx || die
-	fi
-
-	# fonts needed for proper math display, see also bug #15629
-	font_src_install
-
-	python_convert_shebangs -r 2 "${ED}"/usr/share/${PN}
-
-	if use hunspell ; then
-		dosym /usr/share/myspell /usr/share/lyx/dicts
-		dosym /usr/share/myspell /usr/share/lyx/thes
-	fi
-}
-
-pkg_postinst() {
-	font_pkg_postinst
-
-	# fix for bug 91108
-	if use latex ; then
-		texhash
-	fi
-
-	# instructions for RTL support. See also bug 168331.
-	if use linguas_he || use linguas_ar; then
-		elog
-		elog "Enabling RTL support in LyX:"
-		elog "If you intend to use a RTL language (such as Hebrew or Arabic)"
-		elog "You must enable RTL support in LyX. To do so start LyX and go to"
-		elog "Tools->Preferences->Language settings->Language"
-		elog "and make sure the \"Right-to-left language support\" is checked"
-		elog
-	fi
-}
-
-pkg_postrm() {
-	if use latex ; then
-		texhash
-	fi
-}

File app-office/lyx/lyx-2.0.2.ebuild

-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.1.ebuild,v 1.2 2011/10/05 19:32:13 aballier Exp $
-
-EAPI=3
-
-PYTHON_DEPEND="2"
-
-inherit qt4-r2 eutils flag-o-matic font python toolchain-funcs autotools
-
-MY_P="${P/_}"
-
-S="${WORKDIR}/${MY_P}"
-FONT_S="${S}/lib/fonts"
-FONT_SUFFIX="ttf"
-DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
-HOMEPAGE="http://www.lyx.org/"
-SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${P}.tar.xz"
-#SRC_URI="ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.0/rc3/${MY_P}.tar.xz"
-#SRC_URI="ftp://ftp.devel.lyx.org/pub/lyx/stable/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-macos"
-IUSE="cups debug nls +latex xetex luatex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant"
-
-LANGS="ar ca cs de da el en es eu fi fr gl he hu ia id it ja nb nn pl pt ro ru sk sr sv tr uk zh_CN zh_TW"
-
-for X in ${LANGS}; do
-	IUSE="${IUSE} linguas_${X}"
-done
-
-COMMONDEPEND="x11-libs/qt-gui:4
-	x11-libs/qt-core:4
-	X? (
-		x11-libs/libXrandr
-		x11-libs/libXcursor
-		x11-libs/libXrender
-		x11-libs/libXfixes
-		x11-libs/libXext
-		x11-libs/libSM
-		x11-libs/libICE
-		x11-libs/libX11
-		x11-libs/libXau
-		x11-libs/libXdmcp
-	)
-	dev-libs/libxml2
-	media-libs/fontconfig
-	media-libs/freetype
-	>=dev-libs/boost-1.34"
-
-RDEPEND="${COMMONDEPEND}
-	dev-texlive/texlive-fontsextra
-	|| ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[png] )
-	cups? ( net-print/cups )
-	latex? (
-		virtual/latex-base
-		app-text/ghostscript-gpl
-		app-text/noweb
-		app-text/dvipng
-		dev-tex/dvipost
-		dev-tex/chktex
-		app-text/ps2eps
-		dev-texlive/texlive-latexextra
-		dev-texlive/texlive-pictures
-		dev-texlive/texlive-science
-		dev-texlive/texlive-genericextra
-		dev-texlive/texlive-fontsrecommended
-		|| (
-			dev-tex/latex2html
-			dev-tex/tth
-			dev-tex/hevea
-			dev-tex/tex4ht
-		)
-	)
-	xetex? ( dev-texlive/texlive-xetex )
-	luatex? ( >=dev-texlive/texlive-luatex-2010 )
-	html? ( dev-tex/html2latex )
-	rtf? (
-		dev-tex/latex2rtf
-		app-text/unrtf
-		dev-tex/html2latex
-	)
-	linguas_he? ( dev-tex/culmus-latex )
-	docbook? ( app-text/sgmltools-lite )
-	dot? ( media-gfx/graphviz )
-	dia? ( app-office/dia )
-	subversion? ( <dev-vcs/subversion-1.7.0 )
-	rcs? ( dev-vcs/rcs )
-	svg? ( || ( gnome-base/librsvg[svg] media-gfx/inkscape[scg] )
-			|| ( gnome-base/librsvg media-gfx/inkscape )
-		)
-	gnumeric? ( app-office/gnumeric )
-	hunspell? ( app-text/hunspell )
-	aspell? ( app-text/aspell )
-	enchant? ( app-text/enchant )"
-
-
-DEPEND="${COMMONDEPEND}
-	sys-devel/bc
-	x11-proto/xproto
-	dev-util/pkgconfig
-	nls? ( sys-devel/gettext )"
-
-pkg_setup() {
-	python_set_active_version 2
-	font_pkg_setup
-}
-
-src_prepare() {
-	epatch "${FILESDIR}"/1.6.7-python.patch
-
-	epatch "${FILESDIR}"/${PN}-2.0.1-lyxinclude.m4-macosx.patch
-	eautoconf
-
-	echo "#!/bin/sh" > config/py-compile
-	sed "s:python -tt:$(PYTHON) -tt:g" -i lib/configure.py || die
-}
-
-src_configure() {
-	tc-export CXX
-	#bug 221921
-	export VARTEXFONTS=${T}/fonts
-
-	if [[ ${CHOST} == *-darwin* ]]; then
-		LDFLAGS="${LDFLAGS} -framework Carbon -framework ApplicationServices -framework AppKit -framework Foundation"
-	fi
-
-	econf \
-		$(use_enable nls) \
-		$(use_enable debug) \
-		$(use_enable monolithic-build) \
-		$(use_with hunspell) \
-		$(use_with aspell) \
-		$(use_with enchant) \
-		--without-included-boost --disable-stdlib-debug \
-		--with-packaging=posix
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed"
-
-	dodoc ANNOUNCE NEWS README RELEASE-NOTES UPGRADING "${FONT_S}"/*.txt || die
-
-	if use linguas_he ; then
-		echo "\bind_file cua" > "${T}"/hebrew.bind
-		echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
-
-		insinto /usr/share/lyx/bind
-		doins "${T}"/hebrew.bind || die
-	fi
-
-	doicon ${PN} "$S/development/Win32/packaging/icons/lyx_32x32.png"
-	make_desktop_entry ${PN} "LyX" "/usr/share/pixmaps/lyx_32x32.png" "Office" "MimeType=application/x-lyx;"
-
-	# fix for bug 91108
-	if use latex ; then
-		dosym ../../../lyx/tex /usr/share/texmf/tex/latex/lyx || die
-	fi
-
-	# fonts needed for proper math display, see also bug #15629
-	font_src_install
-
-	python_convert_shebangs -r 2 "${ED}"/usr/share/${PN}
-
-	if use hunspell ; then
-		dosym /usr/share/myspell /usr/share/lyx/dicts
-		dosym /usr/share/myspell /usr/share/lyx/thes
-	fi
-}
-
-pkg_postinst() {
-	font_pkg_postinst
-
-	# fix for bug 91108
-	if use latex ; then
-		texhash
-	fi
-
-	# instructions for RTL support. See also bug 168331.
-	if use linguas_he || use linguas_ar; then
-		elog
-		elog "Enabling RTL support in LyX:"
-		elog "If you intend to use a RTL language (such as Hebrew or Arabic)"
-		elog "You must enable RTL support in LyX. To do so start LyX and go to"
-		elog "Tools->Preferences->Language settings->Language"
-		elog "and make sure the \"Right-to-left language support\" is checked"
-		elog
-	fi
-}
-
-pkg_postrm() {
-	if use latex ; then
-		texhash
-	fi
-}

File app-office/lyx/lyx-2.0.3.ebuild

+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.3.ebuild,v 1.1 2012/03/01 11:45:37 aballier Exp $
+
+EAPI=3
+
+PYTHON_DEPEND="2"
+
+inherit qt4-r2 eutils flag-o-matic font python toolchain-funcs
+
+MY_P="${P/_}"
+
+S="${WORKDIR}/${MY_P}"
+FONT_S="${S}/lib/fonts"
+FONT_SUFFIX="ttf"
+DESCRIPTION="WYSIWYM frontend for LaTeX, DocBook, etc."
+HOMEPAGE="http://www.lyx.org/"
+SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${P}.tar.xz"
+#SRC_URI="ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.0/rc3/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-macos"
+IUSE="cups debug nls +latex xetex luatex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant"
+
+LANGS="ar ca cs de da el en es eu fi fr gl he hu ia id it ja nb nn pl pt ro ru sk sr sv tr uk zh_CN zh_TW"
+
+for X in ${LANGS}; do
+	IUSE="${IUSE} linguas_${X}"
+done
+
+COMMONDEPEND="x11-libs/qt-gui:4
+	x11-libs/qt-core:4
+	X? (
+		x11-libs/libXrandr
+		x11-libs/libXcursor
+		x11-libs/libXrender
+		x11-libs/libXfixes
+		x11-libs/libXext
+		x11-libs/libSM
+		x11-libs/libICE
+		x11-libs/libX11
+		x11-libs/libXau
+		x11-libs/libXdmcp
+	)
+	dev-libs/libxml2
+	media-libs/fontconfig
+	media-libs/freetype
+	>=dev-libs/boost-1.34"
+
+RDEPEND="${COMMONDEPEND}
+	dev-texlive/texlive-fontsextra
+	|| ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[png] )
+	cups? ( net-print/cups )
+	latex? (
+		virtual/latex-base
+		app-text/ghostscript-gpl
+		app-text/noweb
+		app-text/dvipng
+		dev-tex/dvipost
+		dev-tex/chktex
+		app-text/ps2eps
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-pictures
+		dev-texlive/texlive-science
+		dev-texlive/texlive-genericextra
+		dev-texlive/texlive-fontsrecommended
+		|| (
+			dev-tex/latex2html
+			dev-tex/tth
+			dev-tex/hevea
+			dev-tex/tex4ht
+		)
+	)
+	xetex? ( dev-texlive/texlive-xetex )
+	luatex? ( >=dev-texlive/texlive-luatex-2010 )
+	html? ( dev-tex/html2latex )
+	rtf? (
+		dev-tex/latex2rtf
+		app-text/unrtf
+		dev-tex/html2latex
+	)
+	linguas_he? ( dev-tex/culmus-latex )
+	docbook? ( app-text/sgmltools-lite )
+	dot? ( media-gfx/graphviz )
+	dia? ( app-office/dia )
+	subversion? ( <dev-vcs/subversion-1.7.0 )
+	rcs? ( dev-vcs/rcs )
+	svg? (  || ( media-gfx/imagemagick[svg] media-gfx/graphicsmagick[svg] )
+			|| ( gnome-base/librsvg media-gfx/inkscape )
+		)
+	gnumeric? ( app-office/gnumeric )
+	hunspell? ( app-text/hunspell )
+	aspell? ( app-text/aspell )
+	enchant? ( app-text/enchant )"
+
+DEPEND="${COMMONDEPEND}
+	sys-devel/bc
+	x11-proto/xproto
+	dev-util/pkgconfig
+	nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+	python_set_active_version 2
+	font_pkg_setup
+}
+
+src_prepare() {
+	epatch "${FILESDIR}"/2.0-python.patch
+	echo "#!/bin/sh" > config/py-compile
+	sed "s:python -tt:$(PYTHON) -tt:g" -i lib/configure.py || die
+}
+
+src_configure() {
+	tc-export CXX
+	#bug 221921
+	export VARTEXFONTS=${T}/fonts
+
+	if [[ ${CHOST} == *-darwin* ]]; then
+		append-ldflags "-framework Carbon -framework ApplicationServices -framework AppKit -framework Foundation"
+	fi
+
+	econf \
+		$(use_enable nls) \
+		$(use_enable debug) \
+		$(use_enable monolithic-build) \
+		$(use_with hunspell) \
+		$(use_with aspell) \
+		$(use_with enchant) \
+		--without-included-boost --disable-stdlib-debug \
+		--with-packaging=posix
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+
+	dodoc ANNOUNCE NEWS README RELEASE-NOTES UPGRADING "${FONT_S}"/*.txt || die
+
+	if use linguas_he ; then
+		echo "\bind_file cua" > "${T}"/hebrew.bind
+		echo "\bind \"F12\" \"language hebrew\"" >> "${T}"/hebrew.bind
+
+		insinto /usr/share/lyx/bind
+		doins "${T}"/hebrew.bind || die
+	fi
+
+	doicon ${PN} "$S/development/Win32/packaging/icons/lyx_32x32.png"
+	make_desktop_entry ${PN} "LyX" "/usr/share/pixmaps/lyx_32x32.png" "Office" "MimeType=application/x-lyx;"
+
+	# fix for bug 91108
+	if use latex ; then
+		dosym ../../../lyx/tex /usr/share/texmf/tex/latex/lyx || die
+	fi
+
+	# fonts needed for proper math display, see also bug #15629
+	font_src_install
+
+	python_convert_shebangs -r 2 "${ED}"/usr/share/${PN}
+
+	if use hunspell ; then
+		dosym /usr/share/myspell /usr/share/lyx/dicts
+		dosym /usr/share/myspell /usr/share/lyx/thes
+	fi
+}
+
+pkg_postinst() {
+	font_pkg_postinst
+
+	# fix for bug 91108
+	if use latex ; then
+		texhash
+	fi
+
+	# instructions for RTL support. See also bug 168331.
+	if use linguas_he || use linguas_ar; then
+		elog
+		elog "Enabling RTL support in LyX:"
+		elog "If you intend to use a RTL language (such as Hebrew or Arabic)"
+		elog "You must enable RTL support in LyX. To do so start LyX and go to"
+		elog "Tools->Preferences->Language settings->Language"
+		elog "and make sure the \"Right-to-left language support\" is checked"
+		elog
+	fi
+}
+
+pkg_postrm() {
+	if use latex ; then
+		texhash
+	fi
+}